core::net::http::Request::Credentials Struct Reference

The Credentials struct encapsulates username and password for basic & digest authentication. More...

`#include <request.h>`

Collaboration diagram for core::net::http::Request::Credentials:

## Public Attributes

std::string | username
std::string | password

## Detailed Description

The Credentials struct encapsulates username and password for basic & digest authentication.

Definition at line 150 of file request.h.

## Member Data Documentation

## password

std::string core::net::http::Request::Credentials::password

Definition at line 153 of file request.h.

## username

std::string core::net::http::Request::Credentials::username

Definition at line 152 of file request.h.

The documentation for this struct was generated from the following file:

- request.h